Loading...
Searching...
No Matches
casacore::LatticeMathUtil Class Reference
lattices package (libcasa_lattices) » LatticeMath_module

More...

`#include <LatticeMathUtil.h>`

## Static Public Member Functions

template<class T>
static void | collapse (Array< T > &data, const IPosition &axes, const MaskedLattice< T > &in, Bool dropDegenerateAxes)
| Collapse the specified axes by averaging and recover the pixel values.
template<class T>
static void | collapse (Array< T > &data, Array< Bool > &mask, const IPosition &axes, const MaskedLattice< T > &lat, Bool dropDegenerateAxes, Bool getPixels=True, Bool getMask=True, const LatticeStatsBase::StatisticsTypes stat=LatticeStatsBase::MEAN)
| Collapse the specified axes by averaging and recover either/and the pixel values and mask.

## Detailed Description

Static math functions for Lattices

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd
Test programs:
  tLatticeMathUtil

### Prerequisite

- Lattice

### Synopsis

Some static helper math functions for Lattices

### Motivation

Common functionality not appropriate for Lattice member functions

### To Do

- nothing I know of

Definition at line 65 of file LatticeMathUtil.h.

## Member Function Documentation

## collapse() [1/2]

template<class T>

void casacore::LatticeMathUtil::collapse | ( | Array< T > & | data,
|  | Array< Bool > & | mask,
|  | const IPosition & | axes,
|  | const MaskedLattice< T > & | lat,
|  | Bool | dropDegenerateAxes,
|  | Bool | getPixels = True,
|  | Bool | getMask = True,
|  | const LatticeStatsBase::StatisticsTypes | stat = LatticeStatsBase::MEAN )

static

Collapse the specified axes by averaging and recover either/and the pixel values and mask.

If axes is empty, then the data and mask just contains all of the lattice (i.e. no collapse) but dropDegenerateAxes is stil honoured

References casacore::mask(), casacore::LatticeStatsBase::MEAN, and casacore::True.

## collapse() [2/2]

template<class T>

void casacore::LatticeMathUtil::collapse | ( | Array< T > & | data,
|  | const IPosition & | axes,
|  | const MaskedLattice< T > & | in,
|  | Bool | dropDegenerateAxes )

static

Collapse the specified axes by averaging and recover the pixel values.

If axes is empty, then the data just contains all of the lattice (i.e. no collapse), but dropDegenerateAxes is stil honoured

The documentation for this class was generated from the following file:

- lattices/LatticeMath/LatticeMathUtil.h